package de.ivu.elect.business.exchange.boundary;

import javax.ejb.Stateless;
import javax.inject.Inject;

import de.ivu.elect.business.datei.boundary.DateiImportDAO;
import de.ivu.elect.business.datei.entity.DateiImport;
import de.ivu.elect.business.exchange.entity.ImportStatus;

@Stateless
public class DateiImportReImport {

  @Inject
  private transient DateiImportDAO dateiImportDAO;

  public void sezteStatusAufReImport(DateiImport notAttached) {
    DateiImport dateiImport = dateiImportDAO.attach(notAttached);
    if (dateiImport.isReImportMoeglich()) {
      dateiImport.setImportStatus(ImportStatus.FORMAT_FESTGELEGT);
    }
  }
}
